#define MAX_PROTOCOLS_ALLOWED 64

/* default values */
#define DEFAULT_USE_GLOBAL_COMMAND 0
#define DEFAULT_GLOBAL_COMMAND ""
#define DEFAULT_MAX_MESSAGES 500
#define DEFAULT_CLICK_CLEARS_ALL 0
#define DEFAULT_TIME_FORMAT "%H:%M"
#define DEFAULT_GROUPED_ICONS 1
#define DEFAULT_BLINK_ENABLED 1
#define DEFAULT_NUMBER_OF_BLINKS 10
#define DEFAULT_MONITOR_DESKTOPS 0
#define DEFAULT_MSG_DESKTOP_NUM 1
#define DEFAULT_PROTOCOL_COUNT 4
#define DEFAULT_PROTOCOL_NAMES { "unknown", "aim", "icq", "irc" }
#define DEFAULT_PROTOCOL_ACTIONS { "", "", "", "" }

struct config_data
{
    int use_global_command;  //(BOOL) execute a global cmd on all incoming msgs
    char * global_command;   //string for the global command
    int max_messages;        //number of messages to keep around
    char * time_format;      //string for time display format e.g. "%H:%M"
    int grouped_icons;       //(BOOL) >1 message of same protocol should
                             //only have one icon.
    int click_clears_all;    //(BOOL) click clears all msgs instead of just one
    int blink_enabled;       //(BOOL) blink new messages
    int number_of_blinks;    //# of times new messages blink
    int monitor_desktops;    //(BOOL) keep track of monitor switching
    int msg_desktop_num;     //which desktop should trigger clearing messages

    int protocol_count;                              //# of protocols recognized
    char **protocol_names;                           //names of protocols
    char **protocol_actions;                         //protocol actions
    Pixmap protocol_pixmaps[MAX_PROTOCOLS_ALLOWED];  //icon pixmaps
};

/* prototypes */
struct config_data * get_new_config_data(char *);
int match_protocol(struct config_data *, char *);
